﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyWeb.WebTemp.Model;

namespace MyWeb.WebTemp.IDao
{
    public interface IUserDao
    {
        /// <summary>
        /// 获取所有的用户
        /// </summary>
        /// <returns></returns>
        IList<User> GetAllUsers();

        /// <summary>
        /// 根据id来获取用户
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        User GetUserById(int Id);

        /// <summary>
        /// 添加用户信息
        /// </summary>
        /// <param name="user"></param>
        /// <returns></returns>
        bool AddUser(User user);

        /// <summary>
        /// 更新用户信息
        /// </summary>
        /// <param name="user"></param>
        /// <returns></returns>
        bool UpdateUser(User user);

        /// <summary>
        /// 更新或者添加用户信息
        /// </summary>
        /// <param name="user"></param>
        /// <returns></returns>
        bool AddOrUpdateUser(User user);

        /// <summary>
        /// 删除用户
        /// </summary>
        /// <param name="user"></param>
        /// <returns></returns>
        bool DeleteUser(User user);
    }
}
